# GET /company/birthday-messages

**Resource:** [Company](./company.md)  
**Scopes:** `company:read`  
**Write operation:** no

Get the birthday message configuration -- array of templates used by the birthday cron to send automated birthday emails and SMS to contacts.

## Response example

```json
{
  "data": [
    {
      "label": "Year 1",
      "channels": ["email", "sms"],
      "email_subject": "Happy Birthday {first_name}!",
      "email_body": "Hi {first_name}, wishing you a wonderful birthday from {company_name}!",
      "sms_body": "Happy Birthday {first_name}! From {company_name}."
    },
    {
      "label": "Year 2",
      "channels": ["email"],
      "email_subject": "Another year, {first_name}!",
      "email_body": "Happy Birthday {first_name}! Hope year {age} treats you well.",
      "sms_body": ""
    }
  ],
  "meta": { "credits_remaining": 9490 }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`